package com.xy.dto;

import cn.hutool.json.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class PaterDto {

    @ApiModelProperty(value = "sn编号", hidden = true)
    private String sn;

    @ApiModelProperty(value = "业务系统sn编号", required = true)
    private String wkSn;

    @ApiModelProperty(value = "设备id", hidden = true)
    private Long deviceId;

    @ApiModelProperty(value = "大类", required = true)
    private String type1;

    @ApiModelProperty(value = "小类", required = true)
    private String type2;

    @ApiModelProperty("是否应答 默认=true")
    private Boolean ack = true;

    @ApiModelProperty(value = "指令发送时间", hidden = true)
    private String time;

    @ApiModelProperty(value = "指令有效期，单位：s", hidden = true)
    private Integer timeout;

    @ApiModelProperty("业务方json数据")
    private JSONObject data;

}
